## ros-noetic-dingo-navigation 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(dingo_navigation)

find_package(catkin REQUIRED)

catkin_package()

install(
DIRECTORY launch params
DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/include/amcl.launch)
  roslaunch_add_file_check(launch/amcl_demo.launch)
  roslaunch_add_file_check(launch/include/gmapping.launch)
  roslaunch_add_file_check(launch/gmapping_demo.launch)
  roslaunch_add_file_check(launch/include/move_base.launch)
  roslaunch_add_file_check(launch/odom_navigation_demo.launch)
endif()

=== debian/changelog ===
ros-noetic-dingo-navigation (0.3.0-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 30 Jan 2023 05:00:00 -0000

ros-noetic-dingo-navigation (0.2.0-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 22 Nov 2022 05:00:00 -0000

ros-noetic-dingo-navigation (0.1.11-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.10-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sun, 16 Jan 2022 05:00:00 -0000

ros-noetic-dingo-navigation (0.1.9-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 16 Jul 2021 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.8-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 11 May 2021 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.7-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-noetic-dingo-navigation (0.1.6-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 26 Nov 2020 05:00:00 -0000

ros-noetic-dingo-navigation (0.1.5-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Oct 2020 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.4-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 26 Oct 2020 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.3-1buster) buster; urgency=high

  * Make the default scan topic for gmapping + amcl use the env vars (#7 <https://github.com/dingo-cpr/dingo/issues/7>)
    Load the DINGO_LASER_TOPIC env var as the default scan topic for nav demos
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.2-1buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Sep 2020 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.1-1buster) buster; urgency=high

  * Nav improvements (#5 <https://github.com/dingo-cpr/dingo/issues/5>)
    * Expose the scan_topic argument in the gmapping_demo and amcl_demo launch files
    * Add placeholder support for the RS L515 and D455 so that the gazebo plugins work; the meshes for these sensors don't exist yet, but we can at least get the plugin configured & add the appropriate links for now
    * Refactor the RealSense macro to put the mesh + gazebo plugin in one place. Create a more-accurate L515 mesh out of cylinders until Intel releases an official mesh for the sensor
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 14 Sep 2020 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.0-1buster) buster; urgency=high

  * [dingo_navigation] Removed maps from install.
  * [dingo_navigation] Unified launch files, made roslaunch a test depend and bumped CMake version.
  * Added dingo_control; split dingo_description into separate Dingo-D and Dingo-O flavours; still much work to be done here, but preparing hand-off for Tony
  * Initial commit of dingo_navigation
  * Contributors: Dave Niewinski, Jason Higgins, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 10 Aug 2020 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-dingo-navigation
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch <!nocheck>
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-dingo-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-amcl, ros-noetic-gmapping, ros-noetic-map-server, ros-noetic-move-base
Description: Launch files and code for autonomous navigation of the Dingo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-dingo-navigation//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-dingo-navigation 0.3.1

=== debian/changelog ===
ros-noetic-dingo-navigation (0.3.1-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 20 Apr 2023 04:00:00 -0000

ros-noetic-dingo-navigation (0.3.0-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 30 Jan 2023 05:00:00 -0000

ros-noetic-dingo-navigation (0.2.0-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 22 Nov 2022 05:00:00 -0000

ros-noetic-dingo-navigation (0.1.11-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 17 May 2022 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.10-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sun, 16 Jan 2022 05:00:00 -0000

ros-noetic-dingo-navigation (0.1.9-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 16 Jul 2021 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.8-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 11 May 2021 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.7-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-noetic-dingo-navigation (0.1.6-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 26 Nov 2020 05:00:00 -0000

ros-noetic-dingo-navigation (0.1.5-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Oct 2020 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.4-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 26 Oct 2020 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.3-2focal) focal; urgency=high

  * Make the default scan topic for gmapping + amcl use the env vars (#7 <https://github.com/dingo-cpr/dingo/issues/7>)
    Load the DINGO_LASER_TOPIC env var as the default scan topic for nav demos
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.2-2focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Sep 2020 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.1-2focal) focal; urgency=high

  * Nav improvements (#5 <https://github.com/dingo-cpr/dingo/issues/5>)
    * Expose the scan_topic argument in the gmapping_demo and amcl_demo launch files
    * Add placeholder support for the RS L515 and D455 so that the gazebo plugins work; the meshes for these sensors don't exist yet, but we can at least get the plugin configured & add the appropriate links for now
    * Refactor the RealSense macro to put the mesh + gazebo plugin in one place. Create a more-accurate L515 mesh out of cylinders until Intel releases an official mesh for the sensor
  * Contributors: Chris I-B

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 14 Sep 2020 04:00:00 -0000

ros-noetic-dingo-navigation (0.1.0-2focal) focal; urgency=high

  * [dingo_navigation] Removed maps from install.
  * [dingo_navigation] Unified launch files, made roslaunch a test depend and bumped CMake version.
  * Added dingo_control; split dingo_description into separate Dingo-D and Dingo-O flavours; still much work to be done here, but preparing hand-off for Tony
  * Initial commit of dingo_navigation
  * Contributors: Dave Niewinski, Jason Higgins, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 10 Aug 2020 04:00:00 -0000
